<template>
    <div>
        <h1>Signup</h1>
    <input type="text" placeholder="Ime" v-model="ime" />
    <input type="text" placeholder="Prezime" v-model="prezime" />
    <input type="text" placeholder="Username" v-model="username" />
    <input type="password" placeholder="Lozinka" v-model="sifra"/>
    <input type="text" placeholder="Id" v-model="kompanija_id" />

    <input type="button" @click="signup" value="Signup" />
    </div>
</template>

<script>

import api from "../components/Api"
import axios from "axios"


const url = "http://127.0.0.1:5000";

export default{
data() {
  return{
    ime:'',
    prezime:'',  
    username:'',
    sifra:'',
    kompanija_id:''
  }
},

methods:{
signup() {
   axios.post(url + "/signup", {
      ime:this.ime,
      prezime:this.prezime, 
      username:this.username,
      sifra:this.sifra,
      kompanija_id:this.kompanija_id
    })
    .then((response) => {
      if (response.data.token) {
        // this.$router.push('/');
        console.log("aaa")
      }
      this.$router.push('/');
      return response.data;
    });
    }
  }
}

</script>